#include <mex.h> 
static int direct_gateway(char *fname,void F(void)) { F();return 0;};
extern Gatefunc xmu_draw_rectangle;
extern Gatefunc xmu_DetectRegion;
extern Gatefunc xmu_draw_region;
extern Gatefunc xmu_detect_mov_region;
static GenericTable Tab[]={
  {(Myinterfun)sci_gateway,xmu_draw_rectangle,"draw_rectangle"},
  {(Myinterfun)sci_gateway,xmu_DetectRegion,"DetectRegion"},
  {(Myinterfun)sci_gateway,xmu_draw_region,"draw_region"},
  {(Myinterfun)sci_gateway,xmu_detect_mov_region,"detect_mov_region"},
};
 
int C2F(lib_movregion)()
{
  Rhs = Max(0, Rhs);
  (*(Tab[Fin-1].f))(Tab[Fin-1].name,Tab[Fin-1].F);
  return 0;
}
